MSWriteParserInternal::Paragraph Struct Reference documentation

Public Types | Public Member Functions | Public Attributes | List of all members
MSWriteParserInternal::Paragraph Struct Referencefinal

`#include <MSWrite.h>`

Inheritance diagram for MSWriteParserInternal::Paragraph:

## Public Types
enum | Location { MAIN, HEADER, FOOTER, FOOTNOTE }
Public Types inherited from WPSParagraph
enum | LineSpacingType { Fixed, AtLeast }
| the line spacing type: fixed or at least More...
typedef WPSList::Level | ListLevel

## Public Member Functions
| Paragraph ()
| Paragraph (Paragraph const &)=default
| ~Paragraph () final
Public Member Functions inherited from WPSParagraph
| WPSParagraph ()
| constructor More...
| WPSParagraph (WPSParagraph const &)=default
WPSParagraph & | operator= (WPSParagraph const &)=default
virtual | ~WPSParagraph ()
void | addTo (librevenge::RVNGPropertyList &propList, bool inTable) const
| add to the propList More...
void | setInterline (double value, librevenge::RVNGUnit unit, LineSpacingType type=Fixed)
| set the interline More...

## Public Attributes
uint32_t | m_fcFirst
uint32_t | m_fcLim
Location | m_Location
bool | m_graphics
bool | m_firstpage
bool | m_skiptab
bool | m_headerUseMargin
double | m_interLine
WPSPageSpan::HeaderFooterOccurrence | m_HeaderFooterOccurrence
Public Attributes inherited from WPSParagraph
double | m_margins [3]
| the margins More...
double | m_spacings [3]
| the line spacing More...
librevenge::RVNGUnit | m_spacingsInterlineUnit
| the interline unit PERCENT or INCH, ... More...
LineSpacingType | m_spacingsInterlineType
| the interline type: fixed, atLeast, ... More...
std::vector< WPSTabStop > | m_tabs
| the tabulations More...
libwps::Justification | m_justify
| the justification More...
int | m_breakStatus
| a list of bits: 0x1 (unbreakable), 0x2 (do not break after) More...
int | m_listLevelIndex
| the actual level index More...
ListLevel | m_listLevel
| the actual level More...
WPSColor | m_backgroundColor
| the background color More...
int | m_border
| list of bits to indicated a border 1: LeftBorderBit, 2: RightBorderBit, ... More...
WPSBorder | m_borderStyle
| the border style More...
std::string | m_extra
| a string to store some errors More...

## Member Enumeration Documentation

## ◆ Location

enum MSWriteParserInternal::Paragraph::Location

Enumerator
MAIN |
HEADER |
FOOTER |
FOOTNOTE |

## Constructor & Destructor Documentation

## ◆ Paragraph() [1/2]

MSWriteParserInternal::Paragraph::Paragraph | ( |  | ) |
| inline

## ◆ Paragraph() [2/2]

MSWriteParserInternal::Paragraph::Paragraph | ( | Paragraph const & |  | ) |
| default

## ◆ ~Paragraph()

MSWriteParserInternal::Paragraph::~Paragraph | ( |  | ) |
| final

## Member Data Documentation

## ◆ m_fcFirst

uint32_t MSWriteParserInternal::Paragraph::m_fcFirst

Referenced by MSWriteParser::getHeaderFooters(), MSWriteParser::readPAP(), and DosWordParser::readPAP().

## ◆ m_fcLim

uint32_t MSWriteParserInternal::Paragraph::m_fcLim

Referenced by MSWriteParser::getHeaderFooters(), MSWriteParser::readPAP(), and DosWordParser::readPAP().

## ◆ m_firstpage

bool MSWriteParserInternal::Paragraph::m_firstpage

Referenced by MSWriteParser::readPAP(), and DosWordParser::readPAP().

## ◆ m_graphics

bool MSWriteParserInternal::Paragraph::m_graphics

Referenced by MSWriteParser::getHeaderFooters(), and MSWriteParser::readPAP().

## ◆ m_HeaderFooterOccurrence

WPSPageSpan::HeaderFooterOccurrence MSWriteParserInternal::Paragraph::m_HeaderFooterOccurrence

Referenced by DosWordParser::readPAP().

## ◆ m_headerUseMargin

bool MSWriteParserInternal::Paragraph::m_headerUseMargin

Referenced by MSWriteParser::getHeaderFooters(), and DosWordParser::readPAP().

## ◆ m_interLine

double MSWriteParserInternal::Paragraph::m_interLine

Referenced by MSWriteParser::readPAP().

## ◆ m_Location

Location MSWriteParserInternal::Paragraph::m_Location

Referenced by MSWriteParser::getHeaderFooters(), MSWriteParser::readPAP(), and DosWordParser::readPAP().

## ◆ m_skiptab

bool MSWriteParserInternal::Paragraph::m_skiptab

Referenced by MSWriteParser::readPAP(), and DosWordParser::readPAP().

The documentation for this struct was generated from the following files:

- MSWrite.h
- MSWrite.cpp